Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Data Structures | Namespaces
BufferedDeletes.h File Reference
`#include "Term.h"`
`#include "Query.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::BufferedDeletes
| Holds buffered deletes, by docID, term or query. We hold two instances of this class: one for the deletes prior to the last flush, the other for deletes after the last flush. This is so if we need to abort (discard all buffered docs) we can also discard the buffered deletes yet keep the deletes done during previously flushed segments. More...
class | Lucene::Num
| Number of documents a delete term applies to. More...

## Namespaces

namespace | Lucene

clucene.sourceforge.net